gtk-layer-demo(1)

NAME
gtk-layer-demo - Demonstrate the functionality of the Layer Shell Wayland protocol

SYNOPSIS
gtk-layer-demo
[ options ]

DESCRIPTION
GTK Layer Shell is a library to write GTK applications that use Layer Shell. Layer Shell is a Wayland protocol for desktop shell components, such as panels, notifications and wallpapers. You can use it to anchor your windows to a corner or edge of the output, or stretch them across the entire output. This library only makes sense on Wayland compositors that support Layer Shell, and will not work on X11. It supports all Layer Shell features including popups and popovers (GTK popups Just Work™).

gtk-layer-demo is a GTK application for demonstrating the functionality of the Layer Shell Wayland protocol as addressed by the GTK Layer Shell library.

OPTIONS

\FC-l, --layer\F[]
    Layer type, any of 'overlay', 'top', 'bottom' or 'background' (or 'o', 't', 'b' or 'g').

\FC-a, --anchor\F[]
    A sequence of 'l', 'r', 't' and 'b' to anchor to those edges, or '0' for no anchor.

\FC-m, --margin\F[]
    Comma separated list of margin values, in the order <LEFT>,<RIGHT>,<TOP>,<BOTTOM>.

\FC-e, --exclusive\F[]
    Enable auto-exclusive zone.

\FC-k, --keyboard\F[]
    Enable keyboard interactivity.

\FC-f, --fixed-size\F[]
    Enable a fixed window size.

AUTHOR
This manual has been written for the Debian project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.